package com.mortals.xhx.module.check.service.impl;

import com.mortals.xhx.module.check.dao.CheckAllRecordDao;
import com.mortals.xhx.module.check.model.CheckAllRecordQuery;
import com.mortals.xhx.module.check.model.vo.CheckAllRecordVo;
import com.mortals.xhx.module.check.service.CheckAllRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("checkAllRecordService")
@Slf4j
public class CheckAllRecordServiceImpl implements CheckAllRecordService {

    @Autowired
    private CheckAllRecordDao checkAllRecordDao;

    @Override
    public List<CheckAllRecordVo> getAllCheckRecord(CheckAllRecordQuery query) {
        return checkAllRecordDao.getAllCheckRecord(query);
    }
}
